package admin_feature

import (
	"net/http"

	"in-server/app/main/api/internal/logic/admin_feature"
	"in-server/app/main/api/internal/svc"
	"in-server/app/main/api/internal/types"
	"in-server/common/result"
	"in-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func AdminConfigFeatureExampleHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AdminConfigFeatureExampleReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_feature.NewAdminConfigFeatureExampleLogic(r.Context(), svcCtx)
		resp, err := l.AdminConfigFeatureExample(&req)
		result.HttpResult(r, w, resp, err)
	}
}
